org.apache.datasketches.pig.quantiles

## Class UnionItemsSketch.UnionItemsSketchInitial

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>
  - - org.apache.datasketches.pig.quantiles.UnionItemsSketch.UnionItemsSketchInitial

Enclosing class:
  UnionItemsSketch<T>

    public static class UnionItemsSketch.UnionItemsSketchInitial
    extends org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>

Class used to calculate the initial pass of an Algebraic sketch operation.

The Initial class simply passes through all records unchanged so that they can be processed by the intermediate processor instead.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`UnionItemsSketchInitial()` Default constructor.
`UnionItemsSketchInitial(String kStr)` Constructor with specific k

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.pig.data.Tuple` `exec(org.apache.pig.data.Tuple inputTuple)`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnionItemsSketchInitial

    public UnionItemsSketchInitial()

Default constructor.

#### UnionItemsSketchInitial

    public UnionItemsSketchInitial(String kStr)

Constructor with specific k

Parameters:
  `kStr` - string representation of k

### Method Detail

#### exec

    public org.apache.pig.data.Tuple exec(org.apache.pig.data.Tuple inputTuple)
                                   throws IOException

Specified by:
  `exec` in class `org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>`
Throws:
  `IOException`